cURL
curl --request POST \
--url https://api.poddata.ai/v1/matches/{id}/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.poddata.ai/v1/matches/{id}/feedback"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.poddata.ai/v1/matches/{id}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/matches/{id}/feedback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/matches/{id}/feedback"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.poddata.ai/v1/matches/{id}/feedback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/matches/{id}/feedback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"tracker": "<string>",
"quote": {
"id": "<string>",
"text": "<string>",
"speaker": {
"id": "<string>",
"name": "<string>",
"status": "confirmed",
"role": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"page": "<string>"
},
"show": {
"id": "<string>",
"name": "<string>",
"page": "<string>"
},
"episode": {
"id": "<string>",
"title": "<string>",
"date": "2023-12-25"
},
"starts_at": 123,
"ends_at": 123,
"clock": "video",
"url": "<string>",
"source_url": "<string>",
"cite": "<string>",
"corrected": {
"at": "2023-11-07T05:31:56Z",
"field": "speaker"
},
"event": {
"id": "<string>",
"type": "earnings_call",
"title": "<string>",
"date": "2023-12-25",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"fiscal_year": 123,
"fiscal_period": "Q1",
"chapter": {
"n": 123,
"kind": "remarks",
"title": "<string>",
"starts_at": 123,
"ends_at": 123,
"analyst": "<string>",
"firm": "<string>"
}
},
"names": [
{
"kind": "company",
"name": "<string>",
"said": "<string>",
"id": "<string>",
"ticker": "<string>",
"exchange": "<string>"
}
],
"claim": {
"kind": "forecast",
"due": {
"said": "<string>",
"from": "2023-12-25",
"to": "2023-12-25"
}
},
"spelled": [
{
"heard": "<string>",
"fixed": "<string>"
}
],
"match_spans": [
{
"from": 1,
"to": 1
}
]
},
"why": "<string>",
"origin": "live",
"feedback": "not_this",
"created": "2023-11-07T05:31:56Z",
"mode": "said"
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}Trackers
Post matches feedback
POST
/
matches
/
{id}
/
feedback
cURL
curl --request POST \
--url https://api.poddata.ai/v1/matches/{id}/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.poddata.ai/v1/matches/{id}/feedback"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.poddata.ai/v1/matches/{id}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.poddata.ai/v1/matches/{id}/feedback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.poddata.ai/v1/matches/{id}/feedback"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.poddata.ai/v1/matches/{id}/feedback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.poddata.ai/v1/matches/{id}/feedback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"tracker": "<string>",
"quote": {
"id": "<string>",
"text": "<string>",
"speaker": {
"id": "<string>",
"name": "<string>",
"status": "confirmed",
"role": "<string>",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"page": "<string>"
},
"show": {
"id": "<string>",
"name": "<string>",
"page": "<string>"
},
"episode": {
"id": "<string>",
"title": "<string>",
"date": "2023-12-25"
},
"starts_at": 123,
"ends_at": 123,
"clock": "video",
"url": "<string>",
"source_url": "<string>",
"cite": "<string>",
"corrected": {
"at": "2023-11-07T05:31:56Z",
"field": "speaker"
},
"event": {
"id": "<string>",
"type": "earnings_call",
"title": "<string>",
"date": "2023-12-25",
"company": {
"id": "<string>",
"name": "<string>",
"ticker": "<string>",
"exchange": "<string>"
},
"fiscal_year": 123,
"fiscal_period": "Q1",
"chapter": {
"n": 123,
"kind": "remarks",
"title": "<string>",
"starts_at": 123,
"ends_at": 123,
"analyst": "<string>",
"firm": "<string>"
}
},
"names": [
{
"kind": "company",
"name": "<string>",
"said": "<string>",
"id": "<string>",
"ticker": "<string>",
"exchange": "<string>"
}
],
"claim": {
"kind": "forecast",
"due": {
"said": "<string>",
"from": "2023-12-25",
"to": "2023-12-25"
}
},
"spelled": [
{
"heard": "<string>",
"fixed": "<string>"
}
],
"match_spans": [
{
"from": 1,
"to": 1
}
]
},
"why": "<string>",
"origin": "live",
"feedback": "not_this",
"created": "2023-11-07T05:31:56Z",
"mode": "said"
}{
"error": {
"code": "bad_request",
"message": "<string>"
}
}Authorizations
Response
The match after the change
- Option 1
- Option 2
- Option 3